MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024546Open CASCADE[OCCT] OCCT:Visualizationpublic2014-01-21 11:552014-11-11 12:58
Reporterabv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformLinuxOSDebian 6.0OS Version64 bit
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024546: GCC compiler warnings in OpenGl
DescriptionAs far as I can see from last Jenkins logs (http://jenkins-test-02.nnov.opencascade.com:8080/user/inv/my-views/view/Accamulated%20statisticts%20for%20Master%20/job/mnt-master-master_build_occt_linux/ [^]), there are several new compiler warnings on Linux in the current master.

The first is likely brought by fix of 0024320:

OpenGl_Texture.hxx:152: ‘OpenGl_TextureFormat::myChannels’ will be initialized after
OpenGl_Texture.hxx:149: ‘GLint OpenGl_TextureFormat::myInternal’
OpenGl_Texture.hxx:139: when initialized here

The others are reported in a code which has not been touched for a while, and I wonder why most of them are not reported in previous build logs:

OpenGl_SceneGeometry.cxx:381: dereferencing type-punned pointer will break strict-aliasing rules

OpenGl_Workspace_2.cxx: ‘GLsizei getNearestPowOfTwo(GLsizei)’ defined but not used

OpenGl_Workspace_2.cxx:60: ‘void fitDimensionsRatio(Standard_Integer&, Standard_Integer&, Standard_Real)’ defined but not used

OpenGl_Workspace_Raytrace.cxx:104: ‘_cl_mem* clCreateImage2D(_cl_context*, cl_mem_flags, const cl_image_format*, size_t, size_t, size_t, void*, cl_int*)’ is deprecated (declared at /dn29/PRODUCTS/maintenance/unix_6.6.1/opencl-icd-1.2.11.0-64/include/CL/cl.h:1170)

(6 places)
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0024739closedapn TKOpenGl - port ray-tracing from OpenCL to GLSL for better integration and portability 
related to 0024875closedbugmaster Coding rules - eliminate GCC warning -Wstrict-aliasing in TKOpenGl 
related to 0024574closedbugmaster ICC compiler warnings on Windows 

-  Notes
(0028456)
abv (manager)
2014-03-25 09:50

This warning will likely disappear if OpenCL code is eliminated in context of 0024739
(0029104)
abv (manager)
2014-04-28 15:50

It looks all the warnings above have been eliminated, though new ones appeared, reported in 0024875
(0032333)
kgv (developer)
2014-09-29 21:55

Please comment if this issue should be closed or description to be updated.
(0032371)
abv (manager)
2014-09-30 08:58

I see no these warnings in recent build logs, consider it as fixed

- Issue History
Date Modified Username Field Change
2014-01-21 11:55 abv New Issue
2014-01-21 11:55 abv Assigned To => san
2014-02-03 10:57 abv Relationship added related to 0024574
2014-03-25 09:49 abv Relationship added related to 0024739
2014-03-25 09:50 abv Note Added: 0028456
2014-04-04 18:09 abv Target Version 6.7.1 => 6.8.0
2014-04-28 15:49 abv Relationship added related to 0024875
2014-04-28 15:50 abv Note Added: 0029104
2014-09-29 21:55 kgv Note Added: 0032333
2014-09-29 21:55 kgv Assigned To san => abv
2014-09-29 21:55 kgv Status new => feedback
2014-09-30 08:58 abv Note Added: 0032371
2014-09-30 08:58 abv Status feedback => tested
2014-09-30 08:58 abv Status tested => verified
2014-09-30 08:58 abv Resolution open => fixed
2014-11-11 12:44 aiv Fixed in Version => 6.8.0
2014-11-11 12:58 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker